<?php
/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function ooze_body_classes( $classes ) {
    global $post;
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}
    $header_style = ooze_get_option('header_style');
    $classes[] = ' ooze-'.$header_style;
    // Get the color mode of the site.
    $enable_dark_mode = ooze_get_option( 'enable_dark_mode' );
    if ( $enable_dark_mode ) {
        $classes[] = 'ooze-dark-mode';
    } else {
        $classes[] = 'ooze-light-mode';
    }

    $page_layout = ooze_get_page_layout();
    if (is_singular() && $page_layout == 'layout-3') {
        $page_layout = "no-sidebar";
    }
	// Get appropriate class for the sidebar layout to work
    if('no-sidebar' != $page_layout ){
        $classes[] = 'has-sidebar '.esc_attr($page_layout);
    }else{
        $classes[] = esc_attr($page_layout);
    }

	return $classes;
}
add_filter( 'body_class', 'ooze_body_classes' );
