<?php
/*Add Home Page Options Panel.*/
$wp_customize->add_panel(
    'theme_home_option_panel',
    array(
        'title' => __( 'Front Page Options', 'ooze' ),
        'description' => __( 'Contains all front page settings', 'ooze'),
        'priority' => 50
    )
);
/**/
$wp_customize->add_section(
    'home_page_banner_option',
    array(
        'title'      => __( 'Front Page Banner Options', 'ooze' ),
        'panel'      => 'theme_home_option_panel',
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'ooze_options[enable_banner_section]',
    array(
        'default'           => $default_options['enable_banner_section'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_section]',
    array(
        'label'   => __( 'Enable Banner Section', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'ooze_options[banner_section_slider_layout]',
    array(
        'default'           => $default_options['banner_section_slider_layout'],
        'sanitize_callback' => 'ooze_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Ooze_Radio_Image_Control(
        $wp_customize,
        'ooze_options[banner_section_slider_layout]',
        array(
            'label' => __( 'Banner Slider Layout', 'ooze' ),
            'section' => 'home_page_banner_option',
            'choices' => ooze_get_slider_layouts()
        )
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_banner_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_banner_1',
        array(
            'settings' => 'ooze_section_seperator_banner_1',
            'section' => 'home_page_banner_option',
        )
    )
);


$wp_customize->add_setting(
    'ooze_options[banner_section_cat]',
    array(
        'default'           => $default_options['banner_section_cat'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[banner_section_cat]',
    array(
        'label'   => __( 'Choose Category for Slider', 'ooze' ),
        'section' => 'home_page_banner_option',
            'type'        => 'select',
        'choices'     => ooze_post_category_list(),
    )
);

$wp_customize->add_setting(
    'ooze_options[number_of_slider_post]',
    array(
        'default'           => $default_options['number_of_slider_post'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[number_of_slider_post]',
    array(
        'label'       => __( 'Post In Slider', 'ooze' ),
        'section'     => 'home_page_banner_option',
        'type'        => 'select',
        'choices'     => array(
            '3' => __( '3', 'ooze' ),
            '4' => __( '4', 'ooze' ),
            '5' => __( '5', 'ooze' ),
            '6' => __( '6', 'ooze' ),
        ),
    )
);


$wp_customize->add_setting(
    'ooze_options[slider_post_content_alignment]',
    array(
        'default'           => $default_options['slider_post_content_alignment'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[slider_post_content_alignment]',
    array(
        'label'       => __( 'Slider Content Alignment', 'ooze' ),
        'section'     => 'home_page_banner_option',
        'type'        => 'select',
        'choices'     => array(
            'text-right' => __( 'Align Right', 'ooze' ),
            'text-center' => __( 'Align Center', 'ooze' ),
            'text-left' => __( 'Align Left', 'ooze' ),
        ),
    )
);

$wp_customize->add_setting(
    'ooze_options[enable_banner_post_description]',
    array(
        'default'           => $default_options['enable_banner_post_description'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_post_description]',
    array(
        'label'   => __( 'Enable Post Description', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'ooze_options[enable_banner_cat_meta]',
    array(
        'default'           => $default_options['enable_banner_cat_meta'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_cat_meta]',
    array(
        'label'   => __( 'Enable Category Meta', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'ooze_options[enable_banner_authro_meta]',
    array(
        'default'           => $default_options['enable_banner_authro_meta'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_authro_meta]',
    array(
        'label'   => __( 'Enable Authro Meta', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'ooze_options[enable_banner_date_meta]',
    array(
        'default'           => $default_options['enable_banner_date_meta'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_date_meta]',
    array(
        'label'   => __( 'Enable Date On Banner', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_banner_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_banner_2',
        array(
            'settings' => 'ooze_section_seperator_banner_2',
            'section' => 'home_page_banner_option',
        )
    )
);


$wp_customize->add_setting(
    'ooze_options[banner_section_cat_2]',
    array(
        'default'           => $default_options['banner_section_cat_2'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[banner_section_cat_2]',
    array(
        'label'   => __( 'Choose Category for Grid/List', 'ooze' ),
        'section' => 'home_page_banner_option',
            'type'        => 'select',
        'choices'     => ooze_post_category_list(),
    )
);


$wp_customize->add_setting(
    'ooze_options[enable_banner_cat_meta_1]',
    array(
        'default'           => $default_options['enable_banner_cat_meta_1'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_cat_meta_1]',
    array(
        'label'   => __( 'Enable Category Meta', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'ooze_options[enable_banner_authro_meta_1]',
    array(
        'default'           => $default_options['enable_banner_authro_meta_1'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_authro_meta_1]',
    array(
        'label'   => __( 'Enable Authro Meta', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);


$wp_customize->add_setting(
    'ooze_options[enable_banner_date_meta_1]',
    array(
        'default'           => $default_options['enable_banner_date_meta_1'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_banner_date_meta_1]',
    array(
        'label'   => __( 'Enable Date On Banner', 'ooze' ),
        'section' => 'home_page_banner_option',
        'type'    => 'checkbox',
    )
);

