<?php
$wp_customize->add_setting(
    'ooze_options[enable_header_bg_overlay]',
    array(
        'default'           => $default_options['enable_header_bg_overlay'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_header_bg_overlay]',
    array(
        'label'    => __( 'Enable Image Overlay', 'ooze' ),
        'section'  => 'header_image',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting(
    'ooze_options[header_image_size]',
    array(
        'default'           => $default_options['header_image_size'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[header_image_size]',
    array(
        'label'       => __( 'Select Header Size', 'ooze' ),
        'description' => __( 'Some options related to header may not show in the front-end based on header style chosen.', 'ooze' ),

        'section'     => 'header_image',
        'type'        => 'select',
        'choices'     => array(
            'small' => __( 'Small', 'ooze' ),
            'medium' => __( 'Medium', 'ooze' ),
            'large' => __( 'Large', 'ooze' ),
        ),
    )
);
/*Header Options*/
$wp_customize->add_section(
    'header_options' ,
    array(
        'title' => __( 'Header Options', 'ooze' ),
        'panel' => 'ooze_option_panel',
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_header_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_header_1',
        array(
            'settings' => 'ooze_section_seperator_header_1',
            'section' => 'header_options',
        )
    )
);

/* Header Style */
$wp_customize->add_setting(
    'ooze_options[header_style]',
    array(
        'default'           => $default_options['header_style'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[header_style]',
    array(
        'label'       => __( 'Header Style', 'ooze' ),
        'description' => __( 'Some options related to header may not show in the front-end based on header style chosen.', 'ooze' ),

        'section'     => 'header_options',
        'type'        => 'select',
        'choices'     => array(
            'header_style_1' => __( 'Header Style 1', 'ooze' ),
            'header_style_2' => __( 'Header Style 2', 'ooze' ),
            'header_style_3' => __( 'Header Style 3', 'ooze' ),
            'header_style_4' => __( 'Header Style 4', 'ooze' ),
        ),
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_header_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_header_2',
        array(
            'settings' => 'ooze_section_seperator_header_2',
            'section' => 'header_options',
        )
    )
);

/*Enable Sticky Menu*/
$wp_customize->add_setting(
    'ooze_options[enable_sticky_menu]',
    array(
        'default'           => $default_options['enable_sticky_menu'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_sticky_menu]',
    array(
        'label'    => __( 'Enable Sticky Menu', 'ooze' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_header_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_header_3',
        array(
            'settings' => 'ooze_section_seperator_header_3',
            'section' => 'header_options',
        )
    )
);

$wp_customize->add_setting(
    'ooze_options[enable_random_post]',
    array(
        'default' => $default_options['enable_random_post'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_random_post]',
    array(
        'label' => esc_html__('Enable Random Post', 'ooze'),
        'section' => 'header_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'ooze_options[random_post_category]',
    array(
        'default'           => $default_options['random_post_category'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(new Ooze_Dropdown_Taxonomies_Control(
    $wp_customize, 
    'ooze_options[random_post_category]',
        array(
            'label'           => esc_html__('Random Post Category', 'ooze'),
            'section'         => 'header_options',
        )
    )
);

$wp_customize->add_setting(
    'ooze_section_seperator_header_4',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Ooze_Seperator_Control(
        $wp_customize,
        'ooze_section_seperator_header_4',
        array(
            'settings' => 'ooze_section_seperator_header_4',
            'section' => 'header_options',
        )
    )
);

/*Enable Search*/
$wp_customize->add_setting(
    'ooze_options[enable_search_on_header]',
    array(
        'default'           => $default_options['enable_search_on_header'],
        'sanitize_callback' => 'ooze_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ooze_options[enable_search_on_header]',
    array(
        'label'    => __( 'Enable Search Icon', 'ooze' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);

if(class_exists( 'WooCommerce' )){
    
    /*Enable Mini Cart Icon on header*/
    $wp_customize->add_setting(
        'ooze_options[enable_mini_cart_header]',   
        array(
            'default'           => $default_options['enable_mini_cart_header'],
            'sanitize_callback' => 'ooze_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'ooze_options[enable_mini_cart_header]',
        array(
            'label'    => __( 'Enable Mini Cart Icon', 'ooze' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );

    /*Enable Myaccount Link*/
    $wp_customize->add_setting(
        'ooze_options[enable_woo_my_account]',   
        array(
            'default'           => $default_options['enable_woo_my_account'],
            'sanitize_callback' => 'ooze_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'ooze_options[enable_woo_my_account]',
        array(
            'label'    => __( 'Enable My Account Icon', 'ooze' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );
}