<?php
/**
 * Displays Banner Section
 *
 * @package Ooze
 */
$is_banner_section = ooze_get_option('enable_banner_section');
$banner_section_cat = ooze_get_option('banner_section_cat');
$banner_section_cat_2 = ooze_get_option('banner_section_cat_2');
$banner_section_slider_layout = ooze_get_option('banner_section_slider_layout');
$number_of_slider_post = ooze_get_option('number_of_slider_post');
$enable_banner_cat_meta = ooze_get_option('enable_banner_cat_meta');
$enable_banner_cat_meta_1 = ooze_get_option('enable_banner_cat_meta_1');
$enable_banner_authro_meta = ooze_get_option('enable_banner_authro_meta');
$enable_banner_authro_meta_1 = ooze_get_option('enable_banner_authro_meta_1');
$enable_banner_date_meta = ooze_get_option('enable_banner_date_meta');
$enable_banner_date_meta_1 = ooze_get_option('enable_banner_date_meta_1');
$enable_banner_post_description = ooze_get_option('enable_banner_post_description');
$slider_post_content_alignment = ooze_get_option('slider_post_content_alignment');
$featured_image = "";
if ($banner_section_slider_layout == 'site-banner-layout-1') {
    $banner_alignment_class = 'align-self-center';
} else {
    $banner_alignment_class = 'align-self-bottom';
}
?>
<?php if ($banner_section_slider_layout == 'site-banner-layout-1') { ?>
    <section class="site-section site-banner site-banner-layout-1 theme-block">
        <div class="theme-banner-slider swiper-container">
            <div class="swiper-wrapper">
                <?php $banner_post_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => absint($number_of_slider_post), 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($banner_section_cat)));
                if ($banner_post_query->have_posts()):
                    while ($banner_post_query->have_posts()):
                        $banner_post_query->the_post();
                        if (has_post_thumbnail()) {
                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                        }
                        ?>
                        <div class="swiper-slide data-bg image-size-large data-bg-overlay"
                            data-background="<?php echo esc_url($featured_image); ?>">
                            <div class="wrapper h-100">
                                <div class="column-row h-100">
                                    <div
                                        class="column column-12 justify-content-center <?php echo $banner_alignment_class; ?> <?php echo $slider_post_content_alignment; ?>">
                                        <div class="slider-content">
                                            <?php if ($enable_banner_cat_meta) { ?>
                                                <div class="animate__animated animate__fadeInUp animate__delay-1s">
                                                    <?php ooze_post_category(); ?>
                                                </div>
                                            <?php } ?>

                                            <?php the_title('<h2 class="entry-title font-size-large line-clamp line-clamp-2 animate__animated animate__fadeInUp animate__delay-2s"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>

                                            <?php if ($enable_banner_post_description) { ?>
                                                <div class="site-banner-excerpt animate__animated animate__fadeInUp animate__delay-3s line-clamp line-clamp-3 mb-16">
                                                    <?php the_excerpt(); ?>
                                                </div>
                                            <?php } ?>

                                            <div class="animate__animated animate__fadeInUp mt-4 animate__delay-4s">
                                                <?php if ($enable_banner_date_meta) {
                                                    ooze_posted_on();
                                                } ?>
                                                <?php if ($enable_banner_authro_meta) {
                                                    ooze_posted_by();
                                                } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <?php
                    endwhile;
                    wp_reset_postdata();
                endif; ?>
            </div>

            <!-- Control -->

            <div class="theme-swiper-control swiper-control">
                <div class="swiper-button-prev"></div>
                <div class="swiper-button-next"></div>
                <div class="swiper-pagination theme-swiper-pagination"></div>
            </div>
        </div>

        <div class="banner-slider-grid text-black">
            <div class="wrapper">
                <div class="column-row">
                    <div class="column column-12">
                        <div class="slider-grid-content container-bg-color">
                            <div class="column-row column-row-medium">

                            <?php $banner_post_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($banner_section_cat_2)));
                            if ($banner_post_query_1->have_posts()):
                                while ($banner_post_query_1->have_posts()):
                                    $banner_post_query_1->the_post();
                                    if (has_post_thumbnail()) {
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                                    }
                                    ?>
                                    <div class="column column-3 column-md-6 md-mb-16 column-xxs-12">
                                        <article class="theme-news-article line-clamp line-clamp-3">
                                            <div class="data-bg image-size-small mb-8"
                                                data-background="<?php echo esc_url($featured_image); ?>">
                                            </div>

                                            <?php if ($enable_banner_cat_meta_1) { ?>
                                                <div class="animate__animated animate__fadeInUp animate__delay-1s text-white mb-8">
                                                    <?php ooze_post_category(); ?>
                                                </div>
                                            <?php } ?>

                                            <?php the_title('<h2 class="entry-title font-size-small line-clamp line-clamp-2 mb-8"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>

                                            <div class="entry-meta entry-meta-top">
                                                <?php if ($enable_banner_date_meta_1) {
                                                    ooze_posted_on();
                                                } ?>
                                                <?php if ($enable_banner_authro_meta_1) {
                                                    ooze_posted_by();
                                                } ?>
                                            </div>
                                        </article>
                                    </div>
                                    <?php
                                endwhile;
                                wp_reset_postdata();
                            endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
<?php } else {?>
    <section class="site-section site-banner site-banner-layout-2 theme-block">
        <div class="wrapper">
            <div class="column-row column-row-medium">
                <div class="column column-5 column-sm-12 sm-mb-16">
                    <div class="theme-banner-slider swiper-container">
                        <div class="swiper-wrapper">
                            <?php $banner_post_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => absint($number_of_slider_post), 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($banner_section_cat)));
                            if ($banner_post_query->have_posts()):
                                while ($banner_post_query->have_posts()):
                                    $banner_post_query->the_post();
                                    if (has_post_thumbnail()) {
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                                    }
                                    ?>
                                    <div class="swiper-slide data-bg image-size-big data-bg-overlay"
                                        data-background="<?php echo esc_url($featured_image); ?>">
                                        <div
                                            class="justify-content-center <?php echo $banner_alignment_class; ?> <?php echo $slider_post_content_alignment; ?>">
                                            <div class="slider-content">
                                                <?php if ($enable_banner_cat_meta) { ?>
                                                    <div class="animate__animated animate__fadeInUp animate__delay-1s">
                                                        <?php ooze_post_category(); ?>
                                                    </div>
                                                <?php } ?>

                                                <?php the_title('<h2 class="entry-title font-size-medium line-clamp line-clamp-3 animate__animated animate__fadeInUp animate__delay-2s"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>

                                                <?php if ($enable_banner_post_description) { ?>
                                                    <div class="site-banner-excerpt animate__animated animate__fadeInUp animate__delay-3s line-clamp line-clamp-3 mb-16">
                                                        <?php the_excerpt(); ?>
                                                    </div>
                                                <?php } ?>

                                                <div class="animate__animated animate__fadeInUp mt-4 animate__delay-4s">
                                                    <?php if ($enable_banner_date_meta) {
                                                        ooze_posted_on();
                                                    } ?>
                                                    <?php if ($enable_banner_authro_meta) {
                                                        ooze_posted_by();
                                                    } ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <?php
                                endwhile;
                                wp_reset_postdata();
                            endif; ?>
                        </div>

                        <!-- Control -->

                        <div class="theme-swiper-control swiper-control">
                            <div class="swiper-button-prev"></div>
                            <div class="swiper-button-next"></div>
                            <div class="swiper-pagination theme-swiper-pagination"></div>
                        </div>
                    </div>
                </div>

                <div class="column column-7 column-sm-12">
                    <div class="column-row column-row-medium">

                            <?php $banner_post_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($banner_section_cat_2)));
                            if ($banner_post_query_1->have_posts()):
                                while ($banner_post_query_1->have_posts()):
                                    $banner_post_query_1->the_post();
                                    if (has_post_thumbnail()) {
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                                    }
                                    ?>
                                    <div class="column column-6 column-xxs-12">
                                        <article class="theme-news-article article-content-overlay mb-16">
                                            <div class="data-bg image-size-small data-bg-overlay"
                                                data-background="<?php echo esc_url($featured_image); ?>">
                                            </div>

                                            <div class="theme-article-content">

                                                <?php if ($enable_banner_cat_meta_1) { ?>
                                                    <div class="animate__animated animate__fadeInUp animate__delay-1s mb-4">
                                                        <?php ooze_post_category(); ?>
                                                    </div>
                                                <?php } ?>

                                                <?php the_title('<h2 class="entry-title font-size-small line-clamp line-clamp-2 mb-8"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>

                                                <div class="entry-meta entry-meta-top">
                                                    <?php if ($enable_banner_date_meta_1) {
                                                        ooze_posted_on();
                                                    } ?>
                                                    <?php if ($enable_banner_authro_meta_1) {
                                                        ooze_posted_by();
                                                    } ?>
                                                </div>
                                            </div>
                                        </article>
                                    </div>
                                <?php
                                endwhile;
                                wp_reset_postdata();
                            endif; ?>

                    </div>
                </div>
            </div>
        </div>

    </section>
<?php } ?>